{
  "name": "calculation",
  "version": "1.0.0",
  "description": "calculation paying frontend",
  "private": true,
  "dependencies": {
    "bignumber.js": "^8.1.1",
    "decimal.js": "^10.2.0",
    "egg": "^1.13.0",
    "egg-js-validator": "^1.0.2",
    "egg-multipart": "^2.7.1",
    "egg-mysql": "^3.0.0",
    "egg-redis": "^1.0.2",
    "egg-scripts": "^1.0.0",
    "egg-session-redis": "^1.0.0",
    "egg-validate": "^1.0.0",
    "egg-view": "^1.1.2",
    "egg-view-ejs": "^1.1.0",
    "gt3-sdk": "^2.0.0",
    "gulp": "^4.0.0",
    "js-xlsx": "^0.8.22",
    "koa-is-json": "^1.0.0",
    "lodash": "^4.17.11",
    "lz-string": "^1.4.4",
    "mathjs": "^5.9.0",
    "moment": "^2.20.1",
    "node-uuid": "^1.4.8",
    "node-xlsx": "^0.12.0",
    "number-precision": "^1.3.1",
    "stream-to-array": "^2.3.0",
    "stream-wormhole": "^1.1.0",
    "ueditor": "^1.2.3",
    "uglify-es": "^3.3.9",
    "uglify-js": "^3.3.27",
    "xmlreader": "^0.2.3",
    "zlib": "^1.0.5"
  },
  "devDependencies": {
    "autod": "^2.9.0",
    "autod-egg": "^1.1.0",
    "egg-bin": "^4.10.0",
    "egg-ci": "^1.8.0",
    "egg-mock": "^3.14.0",
    "eslint": "^4.17.0",
    "eslint-config-egg": "^5.0.0",
    "webstorm-disable-index": "^1.2.0"
  },
  "engines": {
    "node": ">=6.0.0"
  },
  "scripts": {
    "start": "egg-scripts start --daemon --port 7002",
    "stop": "egg-scripts stop",
    "start-qa": "set EGG_SERVER_ENV=qa&&egg-scripts start --daemon --port 7002",
    "dev": "egg-bin dev --port 7002",
    "dev-local": "set EGG_SERVER_ENV=qa&&egg-bin dev --port 7002",
    "dev-qa": "set EGG_SERVER_ENV=qa&&egg-bin dev --port 7002",
    "dev-test": "set EGG_SERVER_ENV=test&&egg-bin dev --port 7002",
    "test": "npm run lint -- --fix&&npm run test-local",
    "test-sim": "egg-bin test",
    "test-local": "set EGG_SERVER_ENV=local&& egg-bin test",
    "test-qa": "set EGG_SERVER_ENV=qa&&egg-bin test",
    "test-auto": "set EGG_SERVER_ENV=autotest&&egg-bin test",
    "cov": "egg-bin cov",
    "lint": "eslint .",
    "ci": "npm run lint && npm run cov",
    "autod": "autod",
    "qa": "set EGG_SERVER_ENV=local&&egg-scripts start --deamon --port 7002",
    "local": "set EGG_SERVER_ENV=local&npm run dev"
  },
  "ci": {
    "version": "6, 8"
  },
  "repository": {
    "type": "git",
    "url": ""
  },
  "author": "olym",
  "license": "MIT"
}
